Your message dated Fri, 04 Jun 2010 01:47:11 +0000
with message-id <e1okm07-00075x...@ries.debian.org>
and subject line Bug#584492: fixed in yoshimi 0.056-2
has caused the Debian Bug report #584492,
regarding yoshimi: Uses -march=native
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
584492: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584492
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: yoshimi
Version: 0.056-1
Severity: grave

Hi,

There was an error while trying to autobuild your package:

[...]

> /usr/bin/c++   -DMAX_AD_HARMONICS=128 -DMAX_SUB_HARMONICS=64 
> -DPAD_MAX_SAMPLES=64 -DNUM_MIDI_PARTS=16 -DNUM_MIDI_CHANNELS=16 
> -DNUM_VOICES=8 -DPOLIPHONY=60 -DNUM_SYS_EFX=4 -DNUM_INS_EFX=8 
> -DNUM_PART_EFX=3 -DNUM_KIT_ITEMS=16 -DVELOCITY_MAX_SCALE=8.0 -DMAX_EQ_BANDS=8 
> -DMAX_FILTER_STAGES=5 -DFF_MAX_VOWELS=6 -DFF_MAX_FORMANTS=12 
> -DFF_MAX_SEQUENCE=8 -DPI=3.1415926536f -DLOG_2=0.693147181f 
> -DYOSHI_FIFO_DIR=\"/dev/shm\" -DDEFAULT_AUDIO=jack_audio 
> -DDEFAULT_MIDI=jack_midi -DASM_F2I -g -O2  -O3 -march=native -msse -msse2 
> -mfpmath=sse -ffast-math -fomit-frame-pointer 
> -I/build/buildd-yoshimi_0.056-1-alpha-LunhCW/yoshimi-0.056/obj-alpha-linux-gnu
>  -I/build/buildd-yoshimi_0.056-1-alpha-LunhCW/yoshimi-0.056/src 
> -I/usr/lib/fltk -I/usr/include/alsa   -D'YOSHIMI_VERSION="0.056"' -lasound 
> -ljack -o CMakeFiles/yoshimi.dir/WidgetPDialUI.cxx.o -c 
> /build/buildd-yoshimi_0.056-1-alpha-LunhCW/yoshimi-0.056/obj-alpha-linux-gnu/WidgetPDialUI.cxx
> cc1plus: error: unrecognized command line option "-march=native"
> cc1plus: error: unrecognized command line option "-msse"
> cc1plus: error: unrecognized command line option "-msse2"
> cc1plus: error: unrecognized command line option "-mfpmath=sse"
> make[3]: *** [CMakeFiles/yoshimi.dir/WidgetPDialUI.cxx.o] Error 1
> make[3]: Leaving directory 
> `/build/buildd-yoshimi_0.056-1-alpha-LunhCW/yoshimi-0.056/obj-alpha-linux-gnu'
> make[2]: *** [CMakeFiles/yoshimi.dir/all] Error 2
> make[1]: *** [all] Error 2
> dh_auto_build: make -j1 returned exit code 2
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> make[2]: Leaving directory 
> `/build/buildd-yoshimi_0.056-1-alpha-LunhCW/yoshimi-0.056/obj-alpha-linux-gnu'
> make[1]: Leaving directory 
> `/build/buildd-yoshimi_0.056-1-alpha-LunhCW/yoshimi-0.056/obj-alpha-linux-gnu'

A full build log can be found at:
http://buildd.debian.org/build.php?arch=alpha&pkg=yoshimi&ver=0.056-1

Note that alot of those options you're trying to are not supported
on all arches.

Using something like -march=native also does not make sense to
build packages for a binary distribution.  It means that it will
not run on older CPUs than the one it was build on, and that
clearly is not something we want.

Using something like -msse is very likely also a problem for the
same reason.


Kurt




--- End Message ---
--- Begin Message ---
Source: yoshimi
Source-Version: 0.056-2

We believe that the bug you reported is fixed in the latest version of
yoshimi, which is due to be installed in the Debian FTP archive:

yoshimi-data_0.056-2_all.deb
  to main/y/yoshimi/yoshimi-data_0.056-2_all.deb
yoshimi_0.056-2.debian.tar.gz
  to main/y/yoshimi/yoshimi_0.056-2.debian.tar.gz
yoshimi_0.056-2.dsc
  to main/y/yoshimi/yoshimi_0.056-2.dsc
yoshimi_0.056-2_i386.deb
  to main/y/yoshimi/yoshimi_0.056-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <ales...@debian.org> (supplier of updated yoshimi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Jun 2010 03:14:10 +0200
Source: yoshimi
Binary: yoshimi yoshimi-data
Architecture: source i386 all
Version: 0.056-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers 
<pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <ales...@debian.org>
Description: 
 yoshimi    - A software synthesizer based on ZynAddSubFX
 yoshimi-data - Presets for Yoshimi
Closes: 584492
Changes: 
 yoshimi (0.056-2) unstable; urgency=low
 .
   * Add --as-needed to linking options.
   * Drop GCC options which are not supported on all architectures;
     only i386 and amd64 support some of them (Closes: #584492).
Checksums-Sha1: 
 0c1faa853e1d0c353df07de6e21e8f94361ac47d 1561 yoshimi_0.056-2.dsc
 f09ea0c87676df54db252f515251dbdbc00790e4 9437 yoshimi_0.056-2.debian.tar.gz
 887f45d9fc3149e02795211672d66c5ac640eaf3 500602 yoshimi_0.056-2_i386.deb
 dcb478fb8fbec9e10de4d56620191d18720559f9 421300 yoshimi-data_0.056-2_all.deb
Checksums-Sha256: 
 279f408a073fd83c32277e939d702a4626cc5334076c5ae584bd4e5372d21eb8 1561 
yoshimi_0.056-2.dsc
 b21be8dbe0dcb012cc65b663078a82864ae31aba639e25cf9b848570eef9609f 9437 
yoshimi_0.056-2.debian.tar.gz
 961c0af303d3b02554b1812145f2ae2b2c0f04820241797f68c9d4c32ab465b3 500602 
yoshimi_0.056-2_i386.deb
 aabaa243053af6459396bb579ff7780ea5a3b112034c4d749f342af7449af962 421300 
yoshimi-data_0.056-2_all.deb
Files: 
 b699347477c647c2a6350a22da928672 1561 sound optional yoshimi_0.056-2.dsc
 56d1df1864e3d2ff51b081b4818597e6 9437 sound optional 
yoshimi_0.056-2.debian.tar.gz
 f3859632765d0dfd3ea319c8aee8fa6c 500602 sound optional yoshimi_0.056-2_i386.deb
 79f42309540e4b62e84fae206d5b99ad 421300 sound optional 
yoshimi-data_0.056-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwIWnAACgkQRdSMfNz8P9CtKQCeOrR/mT8AxM9Bm3hj+TPzQh2G
CtwAn00wlK4wiMTWekiY9uRdKFSOqgkF
=Tqcl
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to